.input-checkbox {
	display: flex;
	flex-flow: column nowrap;
	gap: var(--spacing-small);
}

.input-checkbox__label {
	cursor: pointer;
}

.input-checkbox__label--hover .input-checkbox__text::before,
.input-checkbox__label:hover .input-checkbox__text::before {
	background: var(--color-accent-1);
}

.input-checkbox__text::before {
	content: '';
	display: inline-block;
	background: var(--color-secondary);
	background-size: contain;
	margin-right: 0.25rem;
	width: 0.8rem;
	height: 0.8rem;
}

.input-checkbox__input:checked + .input-checkbox__text::before {
	content: '';
	display: inline-block;
	width: 0.8rem;
	height: 0.8rem;
	background: url('../../assets/images/check.svg') no-repeat bottom;
	background-color: var(--color-accent-1);
	background-size: contain;
}